cluster / replication
5 operations.
GET /cluster/replication
ts
proxmox.cluster.replication.$get()List replication jobs.
Returns an array of object.
POST /cluster/replication
ts
proxmox.cluster.replication.$post()Create a new replication job
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | Description. — ≤ 4096 chars | |
disable | boolean | Flag to disable/deactivate the entry. | |
id | string | yes | Replication Job ID. The ID is composed of a Guest ID and a job number, separated by a hyphen, i.e. '<GUEST>-<JOBNUM>'. — format pve-replication-job-id |
rate | number | Rate limit in mbps (megabytes per second) as floating point number. — min 1 | |
remove_job | local | full | Mark the replication job for removal. The job will remove all local replication snapshots. When set to 'full', it also tries to remove replicated volumes on the target. The job then removes itself from the configuration file. | |
schedule | string | Storage replication schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars, default "*/15" | |
source | string | For internal use, to detect if the guest was stolen. — format pve-node | |
target | string | yes | Target node. — format pve-node |
type | local | yes | Section type. |
GET /cluster/replication/{id}
ts
proxmox.cluster.replication.$(id).$get()Read replication job configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | Replication Job ID. The ID is composed of a Guest ID and a job number, separated by a hyphen, i.e. '<GUEST>-<JOBNUM>'. — format pve-replication-job-id |
PUT /cluster/replication/{id}
ts
proxmox.cluster.replication.$(id).$put()Update replication job configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | Description. — ≤ 4096 chars | |
delete | string | A list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
disable | boolean | Flag to disable/deactivate the entry. | |
id | string | yes | Replication Job ID. The ID is composed of a Guest ID and a job number, separated by a hyphen, i.e. '<GUEST>-<JOBNUM>'. — format pve-replication-job-id |
rate | number | Rate limit in mbps (megabytes per second) as floating point number. — min 1 | |
remove_job | local | full | Mark the replication job for removal. The job will remove all local replication snapshots. When set to 'full', it also tries to remove replicated volumes on the target. The job then removes itself from the configuration file. | |
schedule | string | Storage replication schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars, default "*/15" | |
source | string | For internal use, to detect if the guest was stolen. — format pve-node |
DELETE /cluster/replication/{id}
ts
proxmox.cluster.replication.$(id).$delete()Mark replication job for removal.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | Will remove the jobconfig entry, but will not cleanup. — default 0 | |
id | string | yes | Replication Job ID. The ID is composed of a Guest ID and a job number, separated by a hyphen, i.e. '<GUEST>-<JOBNUM>'. — format pve-replication-job-id |
keep | boolean | Keep replicated data at target (do not remove). — default 0 |